Bug 815131 - SELinux is preventing /usr/sbin/xl2tpd from read, write access on the chr_file ptmx.
SELinux is preventing /usr/sbin/xl2tpd from read, write access on the chr_fil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7f4d9eac01616c2d796acf94b2e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 14:35 EDT by ManFree
Modified: 2012-05-18 06:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-86.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 11:22:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ManFree 2012-04-22 14:35:09 EDT
libreport version: 2.0.6
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-7.fc16.i686
reason:         SELinux is preventing /usr/sbin/xl2tpd from read, write access on the chr_file ptmx.
time:           Mon Apr 23 02:34:41 2012

description:
:SELinux is preventing /usr/sbin/xl2tpd from read, write access on the chr_file ptmx.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that xl2tpd should be allowed read write access on the ptmx chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep xl2tpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:l2tpd_t:s0
:Target Context                system_u:object_r:ptmx_t:s0
:Target Objects                ptmx [ chr_file ]
:Source                        xl2tpd
:Source Path                   /usr/sbin/xl2tpd
:Port                          <Неизвестно>
:Host                          (removed)
:Source RPM Packages           xl2tpd-1.3.0-1.fc16.R
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-84.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.1.0-7.fc16.i686 #1
:                              SMP Tue Nov 1 21:00:16 UTC 2011 i686 i686
:Alert Count                   2
:First Seen                    Пн. 23 апр. 2012 02:32:35
:Last Seen                     Пн. 23 апр. 2012 02:33:05
:Local ID                      b0dce99b-9bf9-457c-a993-bb967eaca1f0
:
:Raw Audit Messages
:type=AVC msg=audit(1335133985.698:81): avc:  denied  { read write } for  pid=2375 comm="xl2tpd" name="ptmx" dev=devtmpfs ino=6021 scontext=system_u:system_r:l2tpd_t:s0 tcontext=system_u:object_r:ptmx_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1335133985.698:81): arch=i386 syscall=open success=no exit=EACCES a0=805cb77 a1=2 a2=0 a3=bf92d700 items=0 ppid=1 pid=2375 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=xl2tpd exe=/usr/sbin/xl2tpd subj=system_u:system_r:l2tpd_t:s0 key=(null)
:
:Hash: xl2tpd,l2tpd_t,ptmx_t,chr_file,read,write
:
:audit2allow
:
:#============= l2tpd_t ==============
:allow l2tpd_t ptmx_t:chr_file { read write };
:
:audit2allow -R
:
:#============= l2tpd_t ==============
:allow l2tpd_t ptmx_t:chr_file { read write };
:
Comment 1 Miroslav Grepl 2012-04-22 16:08:17 EDT
Fixed in selinux-policy-3.10.0-86.fc16
Comment 2 Fedora Update System 2012-04-24 07:51:09 EDT
selinux-policy-3.10.0-86.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-86.fc16
Comment 3 ManFree 2012-04-25 11:22:01 EDT
No problem in selinux-policy-3.10.0-87.fc16.
Fixed.
Comment 4 Fedora Update System 2012-05-18 06:27:52 EDT
selinux-policy-3.10.0-86.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.